List credentials
curl --request GET \
--url https://api.example.com/v1/credentialsimport requests
url = "https://api.example.com/v1/credentials"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"credential_type": "business",
"subject": {
"type": "organisation",
"id": "<string>",
"registration_number": "<string>",
"jurisdiction": "<string>",
"legal_form": "<string>",
"registered_name": "<string>",
"trading_name": "<string>",
"founded_year": 123,
"website": "<string>",
"sector": "<string>"
},
"claims": {
"registered_address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"line2": "<string>",
"state_or_region": "<string>",
"postal_code": "<string>"
},
"beneficial_owners": [
{
"full_name": "<string>",
"ownership_percent": 50,
"person_id": "<string>",
"role": "<string>"
}
],
"tax_id_verified": true,
"jurisdiction": "<string>",
"vat_number": "<string>",
"incorporation_date": "<string>",
"lei_code": "<string>",
"regulatory_licenses": [
{
"type": "<string>",
"license_number": "<string>",
"status": "<string>",
"jurisdiction": "<string>",
"issued_at": "<string>",
"lapsed_at": "<string>",
"regulator_url": "<string>"
}
],
"bank_account_verified": true,
"bank_account_country": "<string>",
"bank_sort_code_hash": "<string>",
"screening_provider": "<string>",
"last_reviewed_at": "2023-11-07T05:31:56Z",
"next_review_due": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"credential_id": "<string>",
"issuer_did": "<string>",
"status_list_index": 1,
"alg": "ES256",
"kid": "<string>",
"signed_payload": "<string>",
"evidence_refs": [
"<string>"
],
"issued_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"vct": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revocation_reason": "<string>",
"created_via": "api",
"developer_id": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"prev_cursor": "<string>",
"total": 1
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"issue": "<string>",
"field": "<string>",
"hint": "<string>"
}
],
"request_id": "<string>"
}
}Credentials API
List Credentials
List credentials in the calling org, with cursor-based pagination.
Optionally filter by subject_id, developer_id, credential_type,
attestation_type (for OutcomeAttestation), or status.
GET
/
v1
/
credentials
List credentials
Query Parameters
Available options:
business, user, agent_authorization, outcome_attestation Available options:
active, revoked, expired, suspended Required range:
1 <= x <= 200Was this page helpful?
⌘I